Puzzle / Developers
API referenceJournalEntries

Create Document

POST /company/{id}/journalEntries/{journalEntryId}/document

POST/company/{id}/journalEntries/{journalEntryId}/document

Path Parameters

id*string

The company ID

Length1 <= length
journalEntryId*string

The journal entry ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/journalEntries/string/document" \  -H "Content-Type: application/json" \  -d '{    "documentType": "Receipt",    "fileName": "string",    "contentType": "string",    "base64File": "string",    "nativeDocumentId": "string"  }'
{  "transactionId": "string",  "manualJournalEntryId": "string",  "journalEntryId": "string",  "billId": "string",  "invoiceId": "string",  "document": {    "id": "string",    "documentType": "Receipt",    "contentType": "string",    "downloadInfo": {      "signedUrl": "string",      "urlExpiresAt": "string"    }  }}

Schema refreshed 2026-11-11T18:57:48.657Z